# List Staking Products Endpoint: GET /staking/v5/products Version: 1.5.0 Security: ## Query parameters: - `includeProductInformation` (boolean) ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Response 200 fields (application/json): - `id` (string) Unique identifier. - `name` (string) User-friendly name. - `publiclyAvailable` (boolean) True if the product is Publicly available for all customers. - `stakingAccountAssetSymbol` (string) Required asset symbol on a staking account used for staking order or reward account. - `tradingAccountAssetSymbol` (string) Required asset symbol on a trading account used for staking order or reward account. - `payoutAssetSymbol` (string) Asset symbol used for payouts. - `supportedPayoutAccountTypes` (array) The types of payout accounts that can be chosen if staking on this product. Enum: "Unknown", "Trading", "Staking", "Vault" - `minimumStakingAccountBalance` (number,null) If not empty, new staking account balance must be 0 or at least this minimum amount. - `minimumStakingAccountBalanceChf` (number,null) If not empty, new staking account balance in CHF must be 0 or at least this minimum amount. - `minimumStakingAccountBalanceMultiplier` (number,null) If not empty, new staking account balance must be a multiple of this amount. - `minimumEntryStakingOrderAmount` (number,null) If not empty, an entry order amount must be at least this minimum amount. - `minimumEntryStakingOrderAmountChf` (number,null) If not empty, anentry order amount in CHF must be at least this minimum amount. - `minimumExitStakingOrderAmount` (number,null) If not empty, an exit order amount must be at least this minimum amount. - `minimumExitStakingOrderAmountChf` (number,null) If not empty, an exit order amount in CHF must be at least this minimum amount. - `maximumEntryStakingOrderAmount` (number,null) If set, the maximum entry size of an order. - `maximumExitStakingOrderAmount` (number,null) If set, the maximum exit size of an order. - `entryOrdersDisabled` (boolean) If set, it is not possible to place entries orders at all. If online is used, the client is informed in Online that entries are no longer offered (not even via a Relationship Manager) - `entryOrdersViaRmOnly` (boolean) If set, it is only possible to place entry orders via a Relationship Manager. If online is used, the client is informed in online that the Relationship Manager must be contacted for entries. - `exitOrdersViaRmOnly` (boolean) If set, it is only possible to place exit orders via a Relationship Manager. If Online is used, the client is informed in online that the Relationship Manager must be contacted for exits. - `productInformation` (object,null) Product information such as reward and locking times. - `productInformation.expectedTimeToNextPayout` (string,null) Expected timestamp of the next payout. - `productInformation.nextPayoutStatus` (string,null) Status of the next reward payout. Enum: "NotReady", "Pending", "Missing" - `productInformation.expectedPayoutDelay` (string) The delay for reward payouts if a client exits Staking. - `productInformation.expectedPayoutFrequency` (string) The expected frequency of reward payouts. - `productInformation.historicPayoutFrequency` (string,null) The last frequency of reward payouts. Should closely match 'Expected Payout Frequency'. - `productInformation.entranceNoRewardsPeriod` (string) The time it takes before a client's funds generate rewards after entering Staking. - `productInformation.entranceExpectedStartEarning` (string,null) The time a client's funds are expected to start generating rewards after entering Staking. - `productInformation.entranceExpectedFirstPayout` (string,null) The time a client is expected to receive the first payout after entering Staking. - `productInformation.entranceLockedPeriod` (string) The time a client's funds are locked after entering Staking. - `productInformation.entranceExpectedUnlockTime` (string) The time a client's funds are expected to unlock after entering Staking. - `productInformation.rewardsLockedPeriod` (string) The time validator rewards are locked after exiting Staking. - `productInformation.exitRewardsPeriod` (string) The time a client's funds keep earning rewards after exiting Staking. - `productInformation.exitExpectedEndEarning` (string,null) The time a client's funds are expected to stop generating rewards after exiting Staking. - `productInformation.exitExpectedLastPayout` (string,null) The time a client is expected to receive the last payout after exiting Staking. - `productInformation.exitLockedPeriod` (string) The time a client's funds are locked after exiting Staking. - `productInformation.exitExpectedUnlockTime` (string) The time a client's funds are expected to unlock after exiting Staking. ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 422 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 500 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 502 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 204 fields ## Response 401 fields ## Response 403 fields